<!DOCTYPE html>

<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Bootstrap Grid System</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="">

        <link
            rel="stylesheet"
            href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
            integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
            crossorigin="anonymous">
    </head>
    <body class="text-center">

        <h1>Boostrap Grid System</h1>

        <!-- Two columns Start -->

        <div class="container-fluid">
            <h3>1:1 Ratio</h3>
            <div class="row">
                <div class="col-6 bg-primary py-3 border border-dark">6 col</div>
                <div class="col-6 bg-secondary py-3 border border-dark">6 col</div>
            </div>

            <h3>1:2 Ratio</h3>
            <div class="row">
                <div class="col-4 bg-primary py-3 border border-dark">4 col</div>
                <div class="col-8 bg-secondary py-3 border border-dark">8 col</div>
            </div>

            <h3>1:3 Ratio</h3>
            <div class="row">
                <div class="col-3 bg-primary py-3 border border-dark">3 col</div>
                <div class="col-9 bg-secondary py-3 border border-dark">9 col</div>
            </div>
        </div>

    </div>

    <!-- Two columns End -->

    <!-- Three Columns Start -->

    <h2>Three Columns</h2>

    <div class="container-fluid">
        <h3>1:1:1 Ration</h3>
        <div class="row text-light">
            <div class="col-4 bg-primary py-3 border border-dark ">4 col</div>
            <div class="col-4 bg-secondary py-3 border border-dark ">4 col</div>
            <div class="col-4 bg-primary py-3 border border-dark ">4 col</div>

        </div>

        <h3>1:2:1 Ration</h3>
        <div class="row text-light">
            <div class="col-3 bg-primary py-3 border border-dark ">3 col</div>
            <div class="col-6 bg-secondary py-3 border border-dark ">6 col</div>
            <div class="col-3 bg-primary py-3 border border-dark ">3 col</div>

        </div>

        <h3>Uneven Ration</h3>
        <div class="row text-light">
            <div class="col-3 bg-primary py-3 border border-dark ">3 col</div>
            <div class="col-7 bg-secondary py-3 border border-dark ">7 col</div>
            <div class="col-2 bg-primary py-3 border border-dark ">2 col</div>

        </div>

    </div>

    <!-- Three columns End -->

    <!-- Automatic Sizing Start -->
    <h3>Automatic Sizing</h3>

    <div class="container-fluid">

        <div class="row text-light">

            <div class="bg-primary py-3 border border-dark col">Auto</div>
            <div class="bg-secondary py-3 border border-dark col">Auto</div>
            <div class="bg-primary py-3 border border-dark col">Auto</div>
            <div class="bg-secondary py-3 border border-dark col">Auto</div>
            <div class="bg-primary py-3 border border-dark col">Auto</div>

        </div>
    </div>

    <!-- Automatic Sizing End -->

    <!-- JS script -->
    <script
        src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script
        src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
        crossorigin="anonymous"></script>
</body>
</html>